Cyberduck Mountain Duck CLI

#9348 closed defect (fixed)

S3 authentication always takes a long time

Reported by: eli-b Owned by: dkocher
Priority: normal Milestone: 4.8.4
Component: s3 Version: 4.8.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

Authenticating with S3 takes a long time both when initially connecting to a bucket and when starting a download from a bucket.

In comparison, using "CloudBerry Explorer for Amazon S3" authentication with AWS S3 is almost instantaneous.

This makes downloading small files so frustratingly slow, that I actually use Cyberduck for viewing a bucket and CloudBerry Explorer for downloading from it.

Change History (4)

comment:1 Changed on Mar 9, 2016 at 9:31:03 AM by dkocher

  • Milestone set to 5.0
  • Status changed from new to assigned

comment:2 Changed on Mar 16, 2016 at 12:02:06 PM by dkocher

  • Milestone changed from 5.0 to 4.8.4
  • Resolution set to fixed
  • Status changed from assigned to closed

In r19688.

comment:3 Changed on Mar 16, 2016 at 12:27:56 PM by eli-b

Wow, thanks! I'll review the fix when 4.8.4 is released.

comment:4 Changed on Mar 21, 2016 at 11:29:30 AM by eli-b

Confirming the fix. Downloads are splendidly fast.

Note: See TracTickets for help on using tickets.
swiss made software